## emacs-llama 0.6.0

=== debian/changelog ===
emacs-llama (0.6.0-2) unstable; urgency=medium

  * Source-only upload
  * Add d/salsa-ci.yml with the default template

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 12 Feb 2025 23:35:06 -0800

emacs-llama (0.6.0-1) unstable; urgency=medium

  * Initial release (Closes: #1095199)

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 04 Feb 2025 23:54:49 -0800
