=== debian/control ===
Source: emacs-llama
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders:
 Xiyue Deng <manphiz@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-elpa,
 elpa-compat (>= 30.0.2.0),
Standards-Version: 4.7.0
Homepage: https://github.com/tarsius/llama
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-llama
Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-llama.git
Testsuite: autopkgtest-pkg-elpa
Rules-Requires-Root: no

Package: elpa-llama
Architecture: all
Depends:
 ${elpa:Depends},
 ${misc:Depends},
Recommends:
 emacs,
Enhances:
 emacs,
Description: Compact syntax for short lambda
 This package implements a macro named `##', which provides a compact way
 to write short `lambda' expressions.
 .
 The signature of the macro is (## FN &rest BODY) and it expands to a
 `lambda' expression, which calls the function FN with the arguments BODY
 and returns the value of that.  The arguments of the `lambda' expression
 are derived from symbols found in BODY.
