## emacs-llama 0.6.2

=== debian/changelog ===
emacs-llama (0.6.2-1) unstable; urgency=medium

  * New upstream release

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 18 Mar 2025 22:00:09 -0700

emacs-llama (0.6.1-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.7.2; no change needed

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 05 Mar 2025 11:17:20 -0800
