## emacs-llama 1.0.0

=== debian/changelog ===
emacs-llama (1.0.0-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 10 Jul 2025 02:26:16 -0700
