=== debian/changelog ===
emacs-llama (1.0.1-1) unstable; urgency=medium

  * New upstream release
  * Migrate d/watch to rfc822-style version 5 format

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 05 Sep 2025 21:34:13 -0700

emacs-llama (1.0.0-1) unstable; urgency=medium

  * Upload to unstable

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 11 Aug 2025 23:05:45 -0700
