=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  debhelper-compat (= 13),
  dh-elpa,
  elpa-compat (>= 30.0.2.0),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/tarsius/llama
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-llama
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-llama.git
