=== debian/changelog ===
emacs-llama (1.0.2-1) unstable; urgency=medium

  * New upstream release
  * Drop `Rules-Requires-Root: no'
    - This has been the default since dpkg 1.22.13.

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 14 Nov 2025 01:12:53 -0800
