=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-llama
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-llama.git
 Testsuite: autopkgtest-pkg-elpa
-Rules-Requires-Root: no
 
 Package: elpa-llama
 Architecture: all
