=== debian/changelog ===
emacs-llama (1.0.3-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.7.3; no change needed
  * Drop `Priority: optional'; now default

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 06 Jan 2026 17:05:34 -0800
