=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: emacs-llama
 Section: editors
-Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders:
  Xiyue Deng <manphiz@gmail.com>,
@@ -8,7 +7,7 @@
  debhelper-compat (= 13),
  dh-elpa,
  elpa-compat (>= 30.0.2.0),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/tarsius/llama
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-llama
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-llama.git
